Jump to content

Mod Compatibility List for EET


Recommended Posts

- create a mini mod (similar to TDDz) for RoT >>>RoT_EE

Please don't. We already have enough haste with TTDz, no need to create more of it. TTDz should never exist in the first place, all updates should be just integrated inside TDDEE mod leaving old one intact. I've asked Ikki to create github repo but he didn't do it.

 

kudo for TDDZ, but i agree with alien, there is no reason to patch the file on the fly.

 

Now we have two mod that are frozen ( TDD and Weimer-TacticsMod ), because changing them will break TDDz and Tactics2_for_EE.

And TDDZ and Tactics2_for_EE are very difficult to edit

Link to post

 

 

 

- create a mini mod (similar to TDDz) for RoT >>>RoT_EE

Please don't. We already have enough haste with TTDz, no need to create more of it. TTDz should never exist in the first place, all updates should be just integrated inside TDDEE mod leaving old one intact. I've asked Ikki to create github repo but he didn't do it.

 

Just to make my position on these mods (RoT, CtB) clear.

 

- The original mods were not updated/maintained since 2008 except for additions of translations

- The original mods do not just add contents/quests but also contain rule changes, 100 or so kits, GUI changes and many things more

- There apparently is no need at all to change a thing that has been part of BG2/BGT for almost a decade with nobody ever having made an attempt to improve these mega mods. They are history.

- If in 2017 on the basis of BG2EE/EET we want to ressurrect whatever is usable from the old *nostalgia*, we need to strip those mega-beasts down to their essentials, i.e. the quests and stories they can still tell.

- This means leaving the existing and working and still played original versions as they are for those who still enjoy their BGT.

- Branch off for EE with a fresh approach.

- I have proven this approach already with some mods (Aurora>>Deepgnomes - Planar Sphere>>Expanded Mage Stronghold), nothing is broken for those who play the old game but some feasible content is preserved for a new generation of games and players.

 

My only point here is, that BWS cannot currently support these two mods with the patch as it is. You can only install them manually following the respective instructions.

Edited by Roxanne
Link to post

- If in 2017 on the basis of BG2EE/EET we want to ressurrect whatever is usable from the old *nostalgia*, we need to strip those mega-beasts down to their essentials, i.e. the quests and stories they can still tell.

 

Sure, but Beamdog didn't translate BG2EE to langage that where supported by the original baldur's gate.

So there are stiil player that are playing the classic version for good reason

 

(even if i must say that EET is more stable, easy to mod, and very difficult to crash, than BGT)

 

 

- create a mini mod (similar to TDDz) for RoT >>>RoT_EE

Just overwrite the original file ( that way it's very easy to update the original mod)

 

and why no keeping the compatibily with BG2 ( copy the pvrz file on EE/EET and use handle tileset on ToB)

Edited by Ikki
Link to post

 

- create a mini mod (similar to TDDz) for RoT >>>RoT_EE

Please don't. We already have enough haste with TTDz, no need to create more of it. TTDz should never exist in the first place, all updates should be just integrated inside TDDEE mod leaving old one intact. I've asked Ikki to create github repo but he didn't do it.

 

kudo for TDDZ, but i agree with alien, there is no reason to patch the file on the fly.

 

Now we have two mod that are frozen ( TDD and Weimer-TacticsMod ), because changing them will break TDDz and Tactics2_for_EE.

And TDDZ and Tactics2_for_EE are very difficult to edit

 

Tactics was last updated 2009 and TDD in 2010!!!

We are chasing ghosts here.

And even if for some unforeseen reason there should ever be an update, why care. Either see what the impact can be or just freeze the baseline for the EE version. (Too simple.)

Link to post

Two new questions:

1. Drake NPC (for BG1) is included into the list of EET compatible mods but not present in BWS in any section (either BGEE or EET).

2. "Chatty Imoen" - fully compatible with BGEE is not in BWS now either. And EET refuses to deal with the mod (that understandable, but a pity).

Link to post

Two new questions:

1. Drake NPC (for BG1) is included into the list of EET compatible mods but not present in BWS in any section (either BGEE or EET).

2. "Chatty Imoen" - fully compatible with BGEE is not in BWS now either. And EET refuses to deal with the mod (that understandable, but a pity).

Mods do not automatically appear in BWS by some unknown magic. Somebody needs to do something for it to happen. It is modders decision to publish their mods how they and where they want it and it is there decision if they want the mod to be part of BWS.

BWS does not hijack mods that do not want to be included. If you think something should be done, there is the mod template for BWS that can be used for it.

Link to post

Mods do not automatically appear in BWS by some unknown magic. Somebody needs to do something for it to happen.

This! Mirandel, if you wan't those mods to be present in BWS, either ask mod author to show interest by filing mod template or you do it by yourself.

Link to post

Sure thing! It was my understanding, that all the mods mentioned here in this thread "Mod Compatibility List for EET" are all part of BWS by definition, since BWS is recommended for their installation. And "chatty Imoen" was a pasrt of BWS for a long time, afaik.

But I got it - it's a new tool now and modders should take care of integration by themselves.

Link to post

Sure thing! It was my understanding, that all the mods mentioned here in this thread "Mod Compatibility List for EET" are all part of BWS by definition, since BWS is recommended for their installation. And "chatty Imoen" was a pasrt of BWS for a long time, afaik.

 

But I got it - it's a new tool now and modders should take care of integration by themselves.

You have a good point here.

 

EET recommends BWS (+ BWFixpack) as the means to install a modded game. We could therefore assume (silent agreement) that a mod provided for EET is at the same time accepted for BWS inclusion.

 

Under this asumption, I will take the action to look once again at the page 1 list and compare it with BWS to see which mods are missing (except RoT and CtB which cannot be included at the moment for other reasons...we are working on this separately already).

Once I have gathered the facts, let us see what next step can be taken.

 

A bit like that hen and egg thing...

Edited by Roxanne
Link to post

A bit like that hen and egg thing...

Heh, you know the dinos were laying eggs before there were any birds... and the fact that the birds evolved from the dinos ensures us that the eggs were there before the hen.

 

But back to topic, just because a mod is made to be EET compatible doesn't make it BWS compatible, as a mega mod compatibility REQUIRES multiple mods to be compatible with each others, and have a semblance of install order.

EET might recommend BWS, but the BWS might not need to recommend EET.. just like a VW might be making cars, but not all cars are VW's.

Edited by Jarno Mikkola
Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...